
Google Sheets Import/Export - Bug #1281

App is incompatible with GoogleAppsForSplunk
Status: Closed Start date: 03/29/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.1   

Description

https://answers.splunk.com/answers/386244/no-new-input-type-as-google-spreadsheet-after-inst.html

History

#1 - 03/29/2016 10:38 PM - Luke Murphey

This happens when you attempt to load google_spreadsheet.py:

Traceback (most recent call last):

  File "google_spreadsheet.py", line 4, in <module>

    from google_drive_app.modular_input import Field, ModularInput, DurationField, BooleanField, DeprecatedFie

ld

  File "/Users/lmurphey/Splunk/splunkbeta/etc/apps/google_drive/bin/google_drive_app/__init__.py", line 32, in

 <module>

    from oauth2client.client import SignedJwtAssertionCredentials

  File "/Users/lmurphey/Splunk/splunkbeta/etc/apps/google_drive/bin/google_drive_app/oauth2client/client.py", 

line 40, in <module>

    from oauth2client import GOOGLE_TOKEN_INFO_URI

ImportError: cannot import name GOOGLE_TOKEN_INFO_URI

#2 - 03/29/2016 10:38 PM - Luke Murphey

- Subject changed from Input fails to App is incompatible with GoogleAppsForSplunk

#3 - 03/29/2016 10:51 PM - Luke Murphey

Splunk puts all apps on the path for some reason. Wonder why this is done.

#4 - 03/29/2016 11:10 PM - Luke Murphey

- Target version set to 1.0.1

#5 - 03/30/2016 05:24 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
